//----------------------------------------------------------------------
// terrain-textures:
//	0: textures/temperate_sd/grass_dense1.tga		textures/UJE_00/uje_grass_dense1.tga
//	1: textures/temperate_sd/grass_path1.tga
//	2: textures/temperate_sd/master_grass_dirt3.tga
//	3: textures/temperate_sd/sand_disturb_bright.tga
//	4: textures/temperate_sd/rocky_sand.tga
//	5: textures/temperate_sd/rock_grayvar.tga


//----------------------------------------------------------------------
// grass
models/mapobjects/plants_sd/grass_low
{
    surfaceparm trans
    surfaceparm pointlight

    cull disable

    distanceCull 256 1024 0.4

    {
        map models/mapobjects/plants_sd/grass_green1.tga
        alphaFunc GE128
        rgbGen exactVertex
        alphaGen vertex
    }
}

models/mapobjects/plants_sd/grassdryfoliage
{
    surfaceparm trans
    surfaceparm pointlight

    cull disable

    distanceCull 256 1024 0.4

    {
        map models/mapobjects/plants_sd/grass_dry3.tga
        alphaFunc GE128
        rgbGen exactVertex
        alphaGen vertex
    }
}

//----------------------------------------------------------------------

textures/UJE_00/ujeterrain_base
{
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
//	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
}

//--

textures/UJE_00/ujeterrain_0
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm landmine
	surfaceparm grasssteps
	{
//		map textures/temperate_sd/grass_dense1.tga
		map textures/UJE_00/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_1
{
	q3map_baseshader textures/UJE_00/ujeterrain_base

	surfaceparm landmine
	surfaceparm grasssteps

	q3map_foliage models/mapobjects/plants_sd/grassdryfoliage.md3 1.0 128 0.10 0

	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_2
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm landmine
	surfaceparm grasssteps

	q3map_foliage models/mapobjects/plants_sd/grass_low.md3 1.0 128 0.10 0

	{
		map textures/temperate_sd/master_grass_dirt3.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_3
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_4
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/rocky_sand.tga
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_5
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	//q3map_lightimage textures/UJE_00/rock_grayvar_bump.tga
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/rock_grayvar.tga
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}


//----------------------------------------------------------------------
// blends

textures/UJE_00/ujeterrain_0to1
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm landmine
	{
//		map textures/temperate_sd/grass_dense1.tga
		map textures/UJE_00/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_0to2
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm landmine
	{
//		map textures/temperate_sd/grass_dense1.tga
		map textures/UJE_00/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_0to3
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm landmine
	{
//		map textures/temperate_sd/grass_dense1.tga
		map textures/UJE_00/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_0to4
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	{
//		map textures/temperate_sd/grass_dense1.tga
		map textures/UJE_00/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rocky_sand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_0to5
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	{
//		map textures/temperate_sd/grass_dense1.tga
		map textures/UJE_00/uje_grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_00/ujeterrain_1to2
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm landmine
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_1to3
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm landmine
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_1to4
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rocky_sand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_1to5
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_00/ujeterrain_2to3
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	surfaceparm landmine
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_2to4
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rocky_sand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_2to5
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_00/ujeterrain_3to4
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rocky_sand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_00/ujeterrain_3to5
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_00/ujeterrain_4to5
{
	q3map_baseshader textures/UJE_00/ujeterrain_base
	{
		map textures/temperate_sd/rocky_sand.tga
		tcMod scale 1.0 1.0
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}
